sometimes "systemd-coredump[<PID>]: Coredump file descriptor missing." is seen, upstream #2984

Bug #1602256 reported by LeK on 2016-07-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned
Xenial
Wishlist
Unassigned

Bug Description

Please include this upstream fix/pull request:

coredump: use next_datagram_size_fd instead of ioctl(FIONREAD) #3237
https://github.com/systemd/systemd/pull/3237

Reported as
sometimes "systemd-coredump[<PID>]: Coredump file descriptor missing." is seen, upstream #2984
https://github.com/systemd/systemd/issues/2984

Or make a release using systemd tag=v230

 :~$ lsb_release -rd
Description: Ubuntu 16.04 LTS
Release: 16.04

:~$ apt-cache policy systemd
systemd:
  Installed: 229-4ubuntu6
  Candidate: 229-4ubuntu6
  Version table:
 *** 229-4ubuntu6 500
        500 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     229-4ubuntu4 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

SRU INFORMATION
---------------
This only affects systemd-coredump which we don't use in Ubuntu by default (we use Apport), so the regression potential is very low. There is no straightforward reproducer for this (see upstream bug report: https://github.com/systemd/systemd/issues/2984). But our systemd package has integration tests for coredump: http://anonscm.debian.org/cgit/pkg-systemd/systemd.git/tree/debian/tests/boot-and-services?h=ubuntu-xenial#n436

Thus if the updated package still succeeds its autopkgtests, this should provide sufficient regression testing for this bug.

Martin Pitt (pitti) wrote :

Fixed in yakkety (marking accordingly), adding a xenial task. Do you have a reproducer for that, for SRU testing?

Changed in systemd (Ubuntu):
status: New → Fix Released
Changed in systemd (Ubuntu Xenial):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :
Changed in systemd (Ubuntu Xenial):
status: New → In Progress
description: updated
Changed in systemd (Ubuntu Xenial):
assignee: nobody → Martin Pitt (pitti)

Hello LeK, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
LeK (lek) wrote :

Unfortunately the fix did not help.

Output in the journal now has an extra line about creating a slice.

:~$ sudo journalctl --file /run/log/journal/<xxx>/system.journal

Jul 13 02:29:08 COBPTTDev kernel: asterisk[1570]: segfault at 3000000028 ip 00007f4961158d16 sp 00007f48d84e8a38 error 4 in libc-2.23.so[7f49610ce000+1c0000]
Jul 13 02:29:08 COBPTTDev systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Jul 13 02:29:08 COBPTTDev systemd[1]: Started Process Core Dump (PID 1607/UID 0).
Jul 13 02:29:08 COBPTTDev systemd-coredump[1608]: Coredump file descriptor missing.

Likewise the coredump list is empty
:~$ sudo coredumpctl list /usr/sbin/asterisk
No coredumps found.

(asterisk is the Ubuntu package in Xenial)

Martin Pitt (pitti) wrote :

OK, thanks, setting back to triaged. So the current SRU does not fix this, but having the patch cannot hurt either, it just does not fix *this* bug apparently.

Changed in systemd (Ubuntu Xenial):
assignee: Martin Pitt (pitti) → nobody
status: Fix Committed → Triaged
Martin Pitt (pitti) on 2016-07-18
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 229-4ubuntu7

---------------
systemd (229-4ubuntu7) xenial-proposed; urgency=medium

  * Add pre-dependency to dpkg >= 1.17.14 on udev, to ensure that
    dpkg-maintscript-helper symlink_to_dir is available. (LP: #1585406)
  * Add activation rate limiting for socket units. (LP: #1568094)
  * Split out udev rule to name USB network interfaces by MAC address into
    73-usb-net-by-mac.rules, so that it's easier to disable. (Closes: #824025)
  * 73-usb-net-by-mac.rules: Disable when net.ifnames=0 is specified on the
    kernel command line or if /etc/udev/rules.d/80-net-setup-link.rules is a
    symlink to /dev/null, to be consistent with disabling the *.link files and
    the documented way to disable ifnames. (Closes: #824491, LP: #1593379)
  * coredump: Fix "Coredump file descriptor missing". (LP: #1602256)

 -- Martin Pitt <email address hidden> Tue, 12 Jul 2016 17:37:25 +0200

Changed in systemd (Ubuntu Xenial):
status: Triaged → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Martin Pitt (pitti) wrote :

Reopening as LeK said in comment #4 that this cherry-pick did not help in his case.

Changed in systemd (Ubuntu Xenial):
status: Fix Released → New
Dimitri John Ledkov (xnox) wrote :

In that case further troubleshooting is require to figure out what else is missing to get working coredump support on xenial. As this is not default functionality in use today on xenial, debugging this functionality is low priority for me, and is open for any contributor to pick up and investigate.

Changed in systemd (Ubuntu Xenial):
status: New → Opinion
status: Opinion → Incomplete
importance: Medium → Wishlist
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers